AutoCAD Express Tools [Express Tools: ACET]

Thank you for installing the AutoCAD Express Tools!

The AutoCAD Express Tools are a library of productivity tools designed to help you extend the power of AutoCAD. They are easy to use, easily integrated into your menus and toolbars, and cover a wide range of AutoCAD functions, including dimensioning, drawing, object selection, object modification, and much more.

The AutoCAD Express Tools are unsupported. However, if you have questions or comments about an Express Tool, you can visit the AutoCAD Express Tools newsgroup. In general, these utilities are provided as a courtesy to you by Autodesk and Autodesk does not assume any responsibility for their successful operation.


Activating the AutoCAD Express Tools [Express Tools: ACET]

To activate the AutoCAD Express Tools, use the EXPRESSTOOLS command.

The library files for the AutoCAD Express Tools are not loaded at AutoCAD startup by default. This was done to reduce the time needed to load AutoCAD. The libraries load the first time that an Express Tools command is issued, creating a delay the first time you use an Express Tool in an AutoCAD session. You can use the EXPRESSTOOLS command to force the AutoCAD Express Tools libraries to be loaded at the beginning of the AutoCAD session.

If the AutoCAD Express Tool commands are available on the command line but the Express menu is not displayed, use the EXPRESSMENU command to display the menu.


AutoCAD Express Tools FAQ [Express Tools: ACET]

Is technical support available for AutoCAD Express Tools?

No. The Express Tools are not supported. In general, these utilities are provided as a courtesy to you by Autodesk and Autodesk does not assume any responsibility for their successful operation.

Is there a discussion group for the AutoCAD Express Tools?

Yes. You can visit the Express Tools newsgroup at news://discussion.autodesk.com/autodesk.expresstools. The Express Tools team monitors this newsgroup on a regular basis to answer questions and look for suggestions.

I tried using an AutoCAD Express Tool, but I get an Unknown Command error. How can I make sure the tools are loaded?

To enable the tools, use the EXPRESSTOOLS command.

You can install the AutoCAD Express Tools as part of the AutoCAD installation, or you can add them later using Add or Remove Programs on the Control Panel.

I have the AutoCAD Express Tools installed, but I cannot see the Express menu. How can I display this menu?

Use the EXPRESSMENU command.

I can see the Express menu, but I do not see any AutoCAD Express Tools toolbars. How can I display the toolbars?

Right-click next to any docked toolbar. On the shortcut menu, click EXPRESS, and click an Express toolbar. Repeat these steps until all of the Express toolbars you want are displayed. With the Express toolbars displayed, select a workspace and save it. The Express Tools toolbars will then always be included with that workspace.

Where is the Layers Express Tools toolbar and menu?

The Layer tools are now part of AutoCAD. To access the tools in AutoCAD, use the Layers or Layers II toolbar or the Format > Layer Tools menu, or enter the command on the command line. For help with Layers tools, use the AutoCAD help system.

The following Layer Express Tools commands have been integrated into AutoCAD:

  • COPYTOLAYER and -COPYTOLAYER. Copies selected objects to another layer, leaving the original objects intact.
  • LAYCUR. Moves selected objects to the current layer.
  • LAYDEL and -LAYDEL. Deletes all objects from the specified layer and purges the layer from the drawing
  • LAYFRZ. Freezes the layer of selected objects.
  • LAYISO. Isolates the layer of a selected object.
  • LAYLCK. Locks the layer of a selected object.
  • LAYMCH and -LAYMCH. Changes the layer(s) of selected objects to match the layer of a selected destination object.
  • LAYMCUR. Makes a layer current based on selection of an object on that layer.
  • LAYMRG and -LAYMRG. Moves all objects from the first selected layer to the second selected layer and deletes the first layer.
  • LAYOFF. Turns off the layer of the selected object(s).
  • LAYON. Turns on all layers.
  • LAYTHW. Thaws all layers.
  • LAYULK. Unlocks the layer of a selected object.
  • LAYUNISO. Turns on layers that were turned off with the last LAYISO command.
  • LAYWALK. Dynamically displays objects on selected layers.

What happened to the CHSPACE Express Tool?

The CHSPACE tool has been integrated into AutoCAD. CHSPACE allows you to move objects from paper space to model space, or vice versa, while maintaining the appearance of the original objects.

What is a Wipeout, and how does it work?

A Wipeout object is basically the same as an Image object, except that a Wipeout object takes on the color of your drawing area background and is only 1 pixel by 1 pixel in size. The WIPEOUT command clips the Wipeout object to the polyline or the selected points that created it. Because the Wipeout object is the same color as the background, it appears to hide anything that is "behind" it. To control what is "behind" the Wipeout, use the DRAWORDER command.

Like Image objects, Wipeout objects have frames that can be turned on and off. You cannot select a Wipeout object on screen, unless the Wipeout frames are turned on. Use the Frames option in the WIPEOUT command to control the Wipeout frame visibility in your drawing. This setting is global and controls the visibility of all Wipeouts in your drawing. The Image frame's visibility has no effect on the Wipeout frame's visibility. To switch the frames for both Images and Wipeouts, use the TFRAMES command.

I have used TEXTMASK to mask some text, but I have changed my mind. How can I get rid of the mask?

Use the TEXTUNMASK command.

When I use WIPEOUT or TEXTMASK with the Wipeout option, it displays on the screen, but it does not plot correctly. How can I fix this?

A Wipeout object is like an Image object and has the same requirements when it comes to plotting. If you are having trouble plotting a Wipeout, make sure that your plotter is capable of printing raster images, and that you are using a raster-capable driver or the system printer driver.

I have used TEXTMASK or WIPEOUT in paper space to hide objects in model space, but the plot does not show this. What can I do?

Before plotting, make sure that the Plot Paper Space Last option is cleared on the Plot Settings tab of the Plot dialog box.

I have masked my text with TEXTMASK, but when I move the text, the mask stays behind. How can I fix this?

TEXTMASK uses a group to keep the mask object and the text together. This group is made selectable so that the objects in the group behave as one when they are moved or copied. The following situations can affect a group's selectability

  • The system variable PICKSTYLE determines the selectability of groups. If this variable is set to 0 or 2, you cannot select a group by selecting an object within the group. To allow the group to be selected, set PICKSTYLE to 1 or 3
  • If you used the WBLOCK command to write out the masked text, the file will no longer have the group that held the mask and the text together. The WBLOCK and BLOCK commands work this way in relation to groups, and cannot be changed. Avoid using WBLOCK or BLOCK with masked text objects.


ATTIN [Express Tools: ACET]

Using ATTIN and ATTOUT together, you can quickly make changes to attribute values for selected block references.

Command: ATTIN
Enter input filename: Use the File dialog box to find and import data from the desired file

If attribute values have been modified, the changes are incorporated into the drawing's block insertions. The input file must be in the format generated by ATTOUT, though it does not have to have been created by ATTOUT

Usage:
When you execute the ATTIN command, it reads through the input file and processes each line. If it finds a block with the same handle and block name as the row it is processing, it applies the attribute changes, if any, to that block. When it has processed all the blocks it can find, it prompts you to assign the remaining data interactively. If you choose Yes, it lists each row's data on the command line and allows you to select a block to apply the attribute to, press ENTER to go to the next row, or press ESC to exit.

File Format:

The output file written by ATTOUT is a tab-delimited, ASCII file that is suitable for editing by most database and spreadsheet programs. Microsoft Excel works well for this task. Just make sure that when you save your changes you save them in a tab-delimited ASCII format; otherwise the ATTIN command will not be able to import from the file.

The first row in the file contains column headers that identify the data to ATTIN. The first two columns are labeled HANDLE and BLOCKNAME. These columns are optional to ATTIN, but their presence allows the attribute data to be read from this file and inserted into the drawing automatically. If these columns are not present, the user is prompted to supply this data as ATTIN is processing the file.

The remaining columns in the file are labeled with attribute tags as they appear in the drawing. Because database programs often require that column headers be unique, numbers are added to duplicate attribute tags to ensure uniqueness. For example, the header row in a file created by ATTOUT might look like this:

HANDLE  BLOCKNAME  MYTAG  MYOTHERTAG  MYTAG(1)

The remaining rows in the file represent a single block insert object and the values of each of its respective attributes.

Because there is a column for each attribute from all selected blocks, there will almost certainly be attribute labels that do not apply to a specific block. These labels are indicated with the string "<>" in the cells that do not apply. Thus, in a file containing the preceding header row example, the row for a block that contains only the attribute MYTAG might look like this:

HANDLE  BLOCKNAME  MYTAG  MYOTHERTAG  MYTAG(1)
E1      MYBLOCK1   Data1  <>          <>

The "<>" indicates that this attribute does not apply to the current block and that a cell is an attribute that does apply, but that it is empty at this time.


ATTOUT [Express Tools: ACET]

Allows data to be easily viewed and modified. Modified attribute values can be imported into original drawing, using the ATTIN command.

Command: ATTOUT
Enter output filename: Use the File dialog to specify file name, location and type
Select objects: Specify the blocks whose attributes you want to export

The block names and attributes are exported to the named file. If the file already exists, you are prompted before it is overwritten. You can easily view attributes in a spreadsheet format and edit individual attribute values. Then you can enter the new values into the drawing file, using the ATTIN command

Usage:
When you execute the ATTOUT command, you are prompted for a file name and for the names of the blocks you want to process. The attributes in the selected blocks will be written to the named file, in the format described below.

File Format:

The output file written by ATTOUT is a tab-delimited, ASCII file that is suitable for editing by most database and spreadsheet programs. Microsoft Excel works well for this task. Just make sure that when you save your changes you save them in a tab-delimited ASCII format; otherwise the ATTIN command will not be able to import from the file.

The first row in the file contains column headers that identify the data to ATTIN. The first two columns are labeled HANDLE and BLOCKNAME. These columns are optional to ATTIN, but their presence allows the attribute data to be read from this file and inserted into the drawing automatically. If these columns are not present, the user is prompted to supply this data as ATTIN is processing the file.

The remaining columns in the file are labeled with attribute tags as they appear in the drawing. Because database programs often require that column headers be unique, numbers are added to duplicate attribute tags to ensure uniqueness. For example, the header row in a file created by ATTOUT might look like this:

HANDLE  BLOCKNAME  MYTAG  MYOTHERTAG  MYTAG(1)

The remaining rows in the file represent a single block insert object and the values of each of its respective attributes.

Because there is a column for each attribute from all selected blocks, there will almost certainly be attribute labels that do not apply to a specific block. These labels are indicated with the string "<>" in the cells that do not apply. Thus, in a file containing the preceding header row example, the row for a block that contains only the attribute MYTAG might look like this:

HANDLE  BLOCKNAME  MYTAG  MYOTHERTAG  MYTAG(1)
E1      MYBLOCK1   Data1  <>          <>

The "<>" indicates that this attribute does not apply to the current block and that a cell is an attribute that does apply, but that it is empty at this time.


BEXTEND [Express Tools: ACET]

Uses a block (or entities within a block reference) as a boundary to extend objects in a drawing.

Command: BEXTEND
Select edges for extend: Select block to use as the extending edge
Specify object to extend or shift-select to trim or [Fence/Crossing/Project/Edge/eRase/Undo]: Select object to extend

See also: BTRIM


BLOCKREPLACE [Express Tools: ACET]

BLOCKREPLACE searches the entire drawing for a specified block and replaces it with another block that you specify. You can have the unreferenced block purged when done.

Specify the block name to search for by selecting it in the list or by clicking the Pick button and selecting a block in the drawing:

Specify the replacement block:

See also: BLOCKTOXREF


BLOCKTOXREF [Express Tools: ACET]

BLOCKTOXREF searches the entire drawing for references to a specified block name and replaces them with an xref that you specify. You can have the unreferenced block purged when done.

See also: BLOCKREPLACE


BTRIM [Express Tools: ACET]

Uses a block (or entities within a block reference) as a boundary to trim objects in a drawing.

Command: BTRIM
Select cutting edge: Select block to use as the cutting edge
Specify object to trim or shift-select to extend or [Fence/Crossing/Project/Edge/eRase/Undo]: Select object to trim

See also: BEXTEND


BURST [Express Tools: ACET]

Command: BURST
Select objects: Use an object selection method

Usage Example:
Explode attributes and convert them to text objects.

Select a block containing two attributes:

Block exploded and attribute values converted to text:


NCOPY [Express Tools: ACET]

Select nested objects to copy: Use an object selection method
Specify base point or displacement, or [Multiple]: Specify a point, or enter M for multiple copies
Second point of displacement: Specify a point


XLIST [Express Tools: ACET]

Command: XLIST
Select nested xref or block object to list: Use an object selection method

Usage Example:
Select an object as a nested block or xref file to display the Object and Block Name, Layer, Color, and Linetype properties.

The pick box identifies the plant as the selected object:

Selecting the object opens the Xref/Block Nested Object List dialog box with the property information as shown:


PSBSCALE [Express Tools: ACET]

You can place block inserts in model space and specify the size that they should appear to be in paper space. If the zoom factor changes, you can update previously set objects to adjust their size accordingly.

Command: PSBSCALE
Select objects: Select the block insert objects
Update or set paper space scale for blocks [Set/Update] <Set>: Choose to 'set' or 'update' paper space size
X scale factor relative to paper space or [XYZ] <1.0000>: Specify the scale values
Y scale factor relative to paper space <use X scale factor>:

See also: BSCALE


ARCTEXT [Express Tools: ACET]

Dialog Box Options

Usage Example:
Draw an arc, and then use ARCTEXT to place text along the arc's curve.


PSTSCALE [Express Tools: ACET]

Allows you to set or update the paper space height of annotation objects. You can place text in model space and specify the height that it should appear to be in paper space units. If the zoom factor changes you can update previously set text objects to adjust their height accordingly.

Command: PSTSCALE
Select objects: Use a selection method to select annotation objects
Update or set paper space text height [Set/Update] <Update>: Choose to 'set' or 'update' the height of the text in paper space
Specify desired text height in paper space units <0.2000>: Specify the height relative to paper space
Specify justification to use as base point for scaling... [Existing/Start/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR] <Existing>: Specify a base point

See also: TSCALE


RTEDIT [Express Tools: ACET]

Command: RTEDIT
Select objects: Select the Rtext object
Style: MYSTYLE Height: 0.1000, Rotation: 0
Enter an option [Style/Height/Rotation/Edit]: Specify an option

Options

To create Rtext objects use the RTEXT command.


RTEXT [Express Tools: ACET]

Reactive text (RText) objects are displayed the same way normal Text or MText objects are displayed, but the source for the text is either an external text file or the value of a DIESEL expression. You can edit an RText object with the RTEDIT command.

Command: RTEXT
Current text style: STANDARD  Text height: 0.2000  Text rotation: 0
Enter an option [Style/Height/Rotation/File/Diesel] <Diesel>: Specify an option

Options

You can use an RText object as a file reference to display text, such as a sheet note or a legal disclaimer, that is common to several drawings. You can also use it to display larger bodies of text such as specifications or assembly instructions.

Using DIESEL Expressions

DIESEL provides options previously accessible only with custom programs. Here are some examples of how RText objects with DIESEL expressions can be used in your drawings. You can paste these examples into the DIESEL Expression dialog box.

To display the drawing name:

Drawing file: $(getvar, "dwgname")
Output:
Drawing file: 102-fp12.dwg
To include the directory path with the file name:
Drawing name: $(getvar, "dwgprefix")$(getvar, "dwgname")
Output:
Drawing file: C:\Projects\97-102\Arch\102-fp12.dwg

When you plot a drawing, you may want the hard copy to show the date and the time that the plot was created. The following DIESEL expression displays this information in your drawing:

$(edtime, 0, MON DD","  YYYY - H:MMam/pm)
Output:
Mar 22, 2000 - 11:12pm

The $(getprop) DIESEL function

RText supports Drawing Properties through a locally defined $(getprop) DIESEL function. With $(getprop), values from Drawing Properties dialog box tabs can be extracted and displayed in RText objects.

The syntax for the $(getprop) DIESEL function is:

$(getprop, property name)
where property name; can be any of the following fields from the DWGPROPS command:
Title
Subject
Author
Comments
Keywords
LastSavedBy
Revno
Custom Property  the name of a custom property
For example, if the Drawing Properties for a drawing contains the text "Excavated Site" as the Subject, the DIESEL expression:
Subject: $(getprop, subject)
in an RText object will display as:
Subject: Excavated Site

If you have a custom property named "Project Name", the following DIESEL expression will display the value:

Project: $(getprop, %PROJECT NAME)

The $(xrefs) DIESEL function

RText supports listing Xref files attached to a drawing through the $(xrefs) DIESEL function.

The syntax for the $(xrefs) DIESEL function is:

$(xrefs [, flags [, leader [, trailer]]])

Example:
The RText DIESEL expression:

$(xrefs,3)
displays a list of Xrefs in the following format:
B-ELEC [c:\proj-14\b-elec.dwg]
M-ELEC [c:\proj-14\m-elec.dwg]
R-ELEC [c:\proj-14\r-elec.dwg]
F-ELEC [c:\proj-14\f-elec.dwg]
while the expression:
$(xrefs,2,Includes: )
will list the Xrefs as:
Includes: B-ELEC
Includes: M-ELEC
Includes: R-ELEC
Includes: F-ELEC

The $(images) DIESEL function

RText supports listing images attached to the drawing through the $(images) DIESEL function.

The syntax for the $(images) DIESEL function is:

$(images [, flags [, leader [, trailer]]])
Behavior is similar to the $(xrefs) function.

The $(getrec) DIESEL function

RText supports displaying Xrecord data through the $(getrec) DIESEL function.

The syntax for the $(getrec) DIESEL function is:

$(getrec, key, code)
The $(getrec) function extracts a value from an Xrecord by looking in the Named Object Dictionary for key, then for a data value associated with code. Currently, only group codes in the ranges 1-9 (string), 40-59 (real), 60-79 (integer) and 300-309 (string) are supported.


TCASE [Express Tools: ACET]

Command: TCASE
Select objects: Use a selection method to select annotation objects
Select case [Sentence/Lower/Upper/Title/toGgle] <TITLE>: Select an option


TCIRCLE [Express Tools: ACET]

The diameters of the circles can be constant or fitted to each object. The width and height of the slots and rectangles can be constant or variable.

Command:
sample sample comment
Select objects: Use an object selection method
Enter distance offset factor <0.3500>: Specify the scaling factor for determining the offset distance of the enclosing object
Create Circles, Slots or Rectangles <default>: Enter an option or press ENTER

Circle Options
Create circles of Constant or Variable radius <Variable>: Specify the sizing option

Slot Options
Create slots of Constant or Variable size <Constant>: Specify the sizing option
Maintain constant Slots Width/Height/Both/<Both>: When using constant size, specify the aspect that is to remain constant

Rectangle Options
Create rectangles of Constant or Variable size <Constant>: Specify the sizing option
Maintain constant Rectangles Width/Height/Both/<Both>: When using constant size, specify the aspect that is to remain constant

Usage Example:

Circles: Constant radius:

Circles: Variable radius:

Slots: Constant width:

Slots: Variable width:


TCOUNT [Express Tools: ACET]

Command: TCOUNT
Select objects: Use an object selection method
Sort selection set by X, Y, or Select-order <current>: Enter an option or press ENTER

Sorting Options

Enter count [Start, increment] <current>: Enter the starting number and increment, separated by a comma, or press ENTER

Placement of text- Overwrite/Prefix/Suffix/Find&replace../ <current>: Enter an option or press ENTER

Placement Options

Usage Example:

Starting number = 1, increment = 1 added as prefix:

Starting number = 20, increment = -10 added as suffix:

Starting number = 2, increment = 2, Overwrite:


TEXTFIT [Express Tools: ACET]

Command: TEXTFIT
Select Text to stretch or shrink: Use an object selection method
Specify end point or [Start point]: Specify a new end point, or enter S to specify a new start point
Pick new starting point: Specify a new start point
ending point: Specify a new endpoint

Usage Example:
Fit labels within enclosed borders by setting a new text width.

Select text:

Select a new endpoint:

Text size shrinks:


TEXTMASK [Express Tools: ACET]

Command: TEXTMASK
Current settings: Offset factor = <default>, Mask type = <default>
Select text objects to mask or [Masktype/Offset]: Select an option or text or press ENTER to exit

Text objects are grouped together with the mask objects so that they moved, copied, and erased together. To update the mask after editing the text, run TEXTMASK again, and select the text item to be updated. The previous mask object is erased and a new one is created. A companion command, TEXTUNMASK, removes masks from text.

Masktype Options

Command: TEXTMASK
Current settings: Offset factor = <default>, Mask type = <default>
Select text objects to mask or [Masktype/Offset]: Masktype

Mask type currently set to <default>
Specify object type to use for mask [Wipeout/3dface/Solid] <default>

Offset Option

Command: TEXTMASK
Current settings: Offset factor = <default>, Mask type = <default>
Select text objects to mask or [Masktype/Offset]: Offset

Mask offset currently set to <default>
Enter offset factor relative to text height <default>: Specify a value, or select points to set the mask size

Initial default values are Offset factor = 0.35 and Masktype = Wipeout. Subsequent default values are the last specified values.

Objects in paper space used to mask objects in model space are not displayed correctly in plots. The display may look correct but your plot will not. At plot time, AutoCAD processes the model space viewports before processing paper space objects. This makes it impossible for anything in paper space to be "on top of" anything in model space.

Wipeout

A Wipeout is a custom object created by the WIPEOUT tool. Since the Wipeout object is like an image, it has the same requirements for plotting. You need a raster-capable plotter with an ADI 4.3 raster-capable driver or the system printer driver. Masking does not plot properly if the Hide Lines option is used while plotting. One advantage of using a Wipeout mask is that what you see on screen is what you get on your plot.

3Dface

The 3Dface created by TEXTMASK has all of its edges set to invisible. This option is useful if you do not have a raster-capable plotter. The Hide Lines option must be used while plotting for the mask effect to work. With this option, masked text does not look masked on screen.

Solid

If you are using an HP plotter, use the HPCONFIG command and make sure that the In Color option is selected in Print Colors. To make the mask invisible (that is, to hide all objects behind it,) press the pens button in HPCONFIG, and create a pen that uses a shaded fill. Then set the shade percentage to 0%. With this option, masked text appears masked on screen. Also, masks can be colored to highlight text. Masking does not plot properly if the Hide Lines option is used while plotting.

Usage Example:

Text over lines:

Masked text over lines:


TEXTUNMASK [Express Tools: ACET]

Command: TEXTUNMASK
Select text or MText object from which mask is to be removed.
Select objects: Use an object selection method


TJUST [Express Tools: ACET]

Command: TJUST
Select objects: Use an object selection method
Start/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR <current>: Choose the new justification

Usage Example:
Covert text to middle justified

Text left justified:

Text after justification change:


TORIENT [Express Tools: ACET]

Rotates text, mtext, and attribute definition objects so that they end up being as close as possible to horizontal or right-read (similar to the behavior of dimension text). Objects are rotated about their middle point in 180-degree increments. For example, if the text is upside-down, it becomes right-side up after a TORIENT operation. Similarly, left-read text becomes right-read text. The overall object location is not changed. As an option, you can specify a new absolute orientation angle for all selected text objects.

Command: TORIENT
Select objects: Use an object selection method
New absolute rotation <Most readable>: Enter an absolute angle or press ENTER

Rotation Options

Usage Example:

Text before rotation:

Text after rotation - most readable option:

Text after rotation - specified angle of 0 degrees:


TSCALE [Express Tools: ACET]

You can specify a final height or apply a scale factor to selected objects. Scaling is done from each object's justification point, or you can specify the justification.

Command: TSCALE
Select objects: Use a selection method to select annotation objects
Specify justification to use as base point for scaling... [Existing/Start/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR] <Existing>: Specify a base point
Specify size change by [Scale (factor)/Height] <Scale>: Specify the value as a scale factor or the final height
Scale factor <1.2000>: Specify the factor to scale each object by
Or
Final height <0.2000>: Specify the height for the selected objects

See also: PSTSCALE


TXT2MTXT [Express Tools: ACET]

TXT2MTXT will work on any text objects created with the TEXT or DTEXT commands. If the original set of text objects was created with DTEXT or with successive text commands, enabling the Sort top-down option and disabling the Create word-wrap MText options will produce the most visually similar results.

The selected text objects will be removed from the drawing and a new MText object will be inserted.

This command attempts to honor text size, font and color changes between text objects.

Command: TXT2MTXT
Select text objects or press Enter to set Options:
Select objects: Use an object selection method to select text

Usage Example:
Select three text objects and convert them to mtext objects.

Select text items:

Text converted to mtext:

Options dialog


TXTEXP [Express Tools: ACET]

Command: TXTEXP
Select text to be EXPLODED: Use an object selection method

Usage Example:
Draw text, and then use TXTEXP. The text objects explode into lines and arcs.

Text:

Exploded text turns into lines and arcs:


ALIGNSPACE [Express Tools: ACET]

Command: ALIGNSPACE
FIRST alignment point in MODEL space: Specify a point
SECOND alignment point in MODEL space: Specify a point
FIRST alignment point in PAPER space: Specify a point
SECOND alignment point in PAPER space: Specify a point

Usage Example:
Align a circle in model space with a dimension in paper space.

Specify two points in model space:

Specify two points in paper:

The circle is aligned with the dimension in paper space:


LAYOUTMERGE [Express Tools: ACET]

Moves all objects on one or more layouts to a single layout.

Select one or more layouts to be merged

Select the destination layout or enter a new name to create a new layout as the destination

Delete unused layouts? <Y>: Specify Yes to delete unused layouts after the merge is complete

Command: -LAYOUTMERGE
Specify layout(s) to merge or [?]: layout1,layout2 Enter layout names and/or wild cards separated by commas
Specify destination layout or [?] <Model>: Specify an existing layout name or enter a new name to create a new layout
Delete unused layouts? <Y>:

Each merged layout will have a corresponding saved view in the destination layout and will be labeled with a rectangle and text identifier on the DEFPOINTS layer.


VPSCALE [Express Tools: ACET]

Command: VPSCALE
Select edge of viewport: Select a viewport

The scale is displayed in one of three ways:

  • If your current units are architectural, the result looks like this:
    PS:MS == 1:96
Viewport Scale: 1/8" = 1'-0"
  • If your current units are engineering, the result looks like this:
    PS:MS == 1:96
Viewport Scale: 1" = 8'
  • For all other units, the scale looks like this:
    PS:MS == 1:96


VPSYNC [Express Tools: ACET]

Command: VPSYNC
Select master viewport: Select a viewport
Select viewports to be aligned to master viewport.
Select objects: Select one or more viewports

Usage Example:
Synchronize two viewports so that they look like one.

Select master viewport and child viewport:

Viewports are now synchronized:


DIMEX [Express Tools: ACET]

DIMEX Dialog Box Options


DIMIM [Express Tools: ACET]

DIMIM Dialog Box Options


DIMREASSOC [Express Tools: ACET]

Command: DIMREASSOC
Select dimension objects with non-associative text. Select objects: Use a selection method or press ENTER to quit


QLATTACH [Express Tools: ACET]

Command: QLATTACH
Select Leader: Select a leader
Select Annotation: Select the mtext, tolerance, or block reference object for the annotation

Usage Example:
Select a leader line, and then specify the mtext object to attach.

Separate leader line and mtext objects:

Leader line with mtext attached as one object:

At the Select Leader: prompt, you will be prompted until you select a leader object or abort the command. At the Select Annotation: prompt, you will be prompted until you select an MText, Tolerance, or Block Reference object for the annotation.

If attachment is successful, the tail of the leader will jump to the default attachment point of MText or Tolerance annotation. If the angle is appropriate a hook line will appear.

The leader and annotation objects must be on the same plane, otherwise they will not attach.

If you wish to attach to a Block Reference, you should move the leader endpoint to where you want it before you execute qlattach. The leader will not move, and you will see no immediate visual feedback that the leader was successfully attached.


QLATTACHSET [Express Tools: ACET]

AutoCAD R13 offered the Leader object, but not attachment to the leader annotation. This command lets you process the leaders in a Release 13 drawing, to attach them to their annotation objects for more productive editing.

QLATTACHSET will report the number of Leaders found, along with the number successfully attached.

This command is intended primarily for leaders created by R13.

Command: QLATTACHSET
Select objects: Select one or multiple leader lines and annotation objects

Usage Example:
Select leader line(s), and mtext objects to attach.

Select objects: Select one or multiple leader lines and annotation objects
Number of Leaders = 2
Number with annotation detached = 2.

Leader with detached mtext object:

Leader attached to mtext object:


QLDETACHSET [Express Tools: ACET]

All leaders in the selection set will be detached from their annotation objects. The only visual feedback will be the loss of a hook line.

Command: QLDETACHSET
Select objects: Select leader line

Usage Example:
Select a leader line to detach from an mtext object.

Select objects: Select leader line
Number of Leaders = 1
Number with annotation detached = 1

Leader with mtext object attached:

Leader detached from the mtext object, which can then be moved:


FS [Express Tools: ACET]

The behavior of FS can be controlled with the command FSMODE. If FSMODE is set to ON (the default), FS selects only those objects that are touching the selected object. When FSMODE is OFF, FS selects all the objects that are touching the selected object as well as any objects that are touching those objects. The command continues down the chain of unselected objects that are touching the selected object until no more unselected objects are visible on screen.

Command: 'FS
Select touching object: Select an object

Command: 'FSMODE
FASTSEL chain selection <OFF>: Enter ON or OFF

Usage Example:

FS used to select objects with FSMODE turned off:

FS used to select objects with FSMODE turned on:


GETSEL [Express Tools: ACET]

Command: GETSEL
Select an object on the Source layer <*>: Use a selection set method or press ENTER for all layers
Select an object of the Type you want <*>: Use a selection set method or press ENTER for all object types

Usage Example:
Draw objects on different layers, and select lines from LAYER1

Select an object on the Source layer <*>: Select an object on LAYER1
Select an object of the Type you want <*>: Select a LINE object
Collecting all LINE objects on layer LAYER1...
1 object has been placed in the active selection set.


CLIPIT [Express Tools: ACET]

Allows curved clipping; isolates specified portions of blocks, xref drawings, images, and Wipeouts, by clipping or removing the display of all other objects with a polyline, circle, arc, ellipse, text, mtext, or attribute definition.

With CLIPIT you can use ARCS, CIRCLES, or POLYLINES to define clipping boundaries for BLOCKS, XREFS, IMAGES, and WIPEOUTS. Draw arcs, circles, and/or polylines to define area(s) to be clipped.

Command: CLIPIT
Pick a POLYLINE, CIRCLE, ARC, ELLIPSE, or TEXT object for clipping edge...
Select objects: Use an object selection method
Pick an IMAGE, a WIPEOUT, or an XREF/BLOCK to clip: Select the object to clip
Enter max error distance for resolution of arcs <0.0200>: Specify a resolution value or press ENTER

CLIPIT makes clipping to curved boundaries possible by traversing arc segments with a series of short straight segments. CLIPIT lets you to control the precision with which it traverses arc segments by allowing you to specify the maximum distance between the midpoint of any given segment and the arc.

Maximum error distance for resolution of arcs:

Entering a large error value results in fewer segments and faster AutoCAD performance, but arcs appear less smooth. Conversely, entering a very small value results in smooth clipping along arcs, but places more of a processing burden on AutoCAD during regeneration of a drawing.

Usage Example:
Draw a polyline, a circle, or an arc, and clip a portion of an externally referenced floor plan to isolate it.

Select a circle as the clipping boundary:

Select xref:

Xref clipped with a circle as the clipping boundary:


COPYM [Express Tools: ACET]

Command: COPYM
Select objects: Select the objects to be copied
Base point:	Specify a base point
Second point or [Repeat (last)/Divide/Measure/Array (dynamic)/Undo] <exit>:

COPYM Options

Array Options


EXOFFSET [Express Tools: ACET]

Command: EXOFFSET
Settings: Distance = 0.5000, Layer = SOURCE, Gaptype = Normal Specify offset distance or [Through] <0.5000>: Specify the offset distance or through point
Select object to offset or [Options/Undo]: Select an object to offset, change options or undo
Side to offset or [Multiple/Options/Undo]: Specify a side to offset or choose multiple offsets, change options or undo the last offset

EXOFFSET Options


MOCORO [Express Tools: ACET]

Command: MOCORO
Select objects: Use an object selection method
Base point: Specify a base point
[Move/Copy/Rotate/Scale/Base/Undo]<eXit>: Specify an option

Options

Usage Example:
Use the move, copy, rotate, and scale options.

Select an object (chair):

Specify a base point, and then enter the option to move the object:

Specify the new location for the object:

Copy the object:

Rotate the object:

Scale the object:

Select


MSTRETCH [Express Tools: ACET]

Command: MSTRETCH
Define crossing windows or crossing polygons...
Options: Crossing Polygon or Crossing first point
Specify an option [CP/C] <Crossing first point>: Use a crossing window or a crossing polygon selection method
Specify an option [CP/C/Undo] <Crossing first point>: Specify an option, or press ENTER to continue
Specify an option [Remove objects] <Base point>: Specify a base point, press ENTER or enter R to remove object(s)
Second base point: Specify a second point or press ENTER

Option

Usage Example:
Select multiple objects and expand their size with a crossing window and a crossing polygon.

Rectangular shapes:

Stretching shapes:

Shapes enlarged:


SHP2BLK [Express Tools: ACET]

All instances of the shape in the drawing are replaced with insertions of the newly defined block.

Command: SHP2BLK
Select shape entity to convert: Select a shape object
Enter the name of the block to create <default>: Enter a name for the block

Usage Example:
Convert a ground shape into a block.

Command: SHP2BLK
Select shape entity to convert: Select the ground shape object Enter the name of the block to create <GROUND>: Press ENTER to accept the default
Deleting block WMF0.
1 block deleted.
The shape GROUND has been replaced with block GROUND.


BREAKLINE [Express Tools: ACET]

Options are provided to control the relative size and appearance of the breakline symbol and an extension of the polyline beyond the selected start and end points.

Command: BREAKLINE
Block= BRKLINE.DWG, Size= 0.5000, Extension= 0.1800 Pick first point for breakline or press <Enter> for options: Specify a point or press ENTER for options

Options

Pick second point for breakline: Specify the second point for the line
Pick location for break symbol <Midpoint>: Specify the point on the line segment to specify the location of the breakline symbol, or press ENTER to use the midpoint of the line

How to create a custom breakline symbol:

1) Draw the breakline symbol:

2) Make the Defpoints layer current. If it does not exist, create it and make it current:

3) Use the POINT command to place a point at each location where the line will connect with the breakline symbol. Use only two points.

Create a new block using the objects created in steps 1 and 3:

Command: block

Start the BREAKLINE command, press ENTER to get the Options prompt, and use the Block option to specify the new block.

Command: breakline


SUPERHATCH [Express Tools: ACET]

SUPERHATCH Dialog Box Options

For images:

Insertion point <0,0>: Specify an insertion point
Base image size: Width: 1.00, Height: 0.24 <Unitless>
Scale factor <1>: Specify a scale factor

For blocks and xrefs:

Insertion point: Specify an insertion point
X scale factor <1> / Corner / XYZ: Specify the X scale factor
Y scale factor (default=X): Specify the Y scale factor
Rotation angle <0>: Specify the rotation angle
Select a window around the block to define column and row tile distances.
Specify block [Extents] First corner <magenta rectang>: Specify a frame for tiling, and press ENTER

After the preceding steps have been completed:

Selecting visible objects for boundary detection...Done.
Specify an option [Advanced options] <Internal point>: Specify an internal point for hatch boundary, or enter A for advanced options, and press ENTER
Preparing hatch objects for display...
Done.

Use TFRAMES to toggle object frames on and off. (for images and Wipeouts only)

This command is very versatile and opens up many possibilities for you to be creative. You can use the Block option to create hatch patterns on-the-fly; you can created blocks with different layers, colors, and linetypes to create hatch patterns that react to layer states and plot with a variety of line weights. You can use hatch images on surfaces to get a rendered effect. Use 3D blocks as hatch patterns to place repeating items such as bricks, roof tiles, or fence fills in 3D drawings.

Error tolerance for curves

SUPERHATCH makes hatching to curved boundaries possible by traversing arc segments with a series of short straight segments. SUPERHATCH lets you to control the precision with which it traverses arc segments by allowing you to specify the maximum distance between the midpoint of any given segment and the arc. (See the Curve Error Tolerance option described in the Dialog Box Options above.)

Maximum error distance for resolution of arcs:

Entering a large error value results in fewer segments and faster AutoCAD performance, but arcs appear less smooth. Conversely, entering a very small value results in smooth hatching along arcs but places more of a processing burden on AutoCAD during regeneration of a drawing.

Usage Example:
Use a block as a hatch pattern.

Place the block:

Specify the framing around the block:

Specify the boundary:

Finished hatch:

1) Start the group command.

Command: group

2) Make sure the Include Unnamed check box is selected.

3) Select the group. Note that "superhatch" appears in the description field for groups created by the SUPERHATCH command.

4) Click Selectable.

5) Choose OK.

The individual objects can now be modified separately.


IMAGEEDIT [Express Tools: ACET]

Command:IMAGEEDIT
Use the IMAGEAPP command to specify a non-system-default editor.

See also: IMAGEAPP


MOVEBAK [Express Tools: ACET]

Once you choose a directory, the drawing's BAK file is placed in the named directory after every Save.

Enter new value for MOVEBAK, or . for none <current setting>:
Enter a . (period) for none or type the directory name
If you enter ".", the MOVEBAK directory name is cleared and BAK files will be left in the original directory.


QQUIT [Express Tools: ACET]

This command will attempt to close all open drawings, offering to save any modified drawings, then exit AutoCAD. If a drawing has not been named yet, QQUIT will prompt for a file name.


REDIR [Express Tools: ACET]

Command: REDIR
Current REDIRMODE: Styles,Xrefs,Images,Rtext
Find and replace directory names
Enter old directory (use '*' for all), or ? <options>: Specify the directory to be replaced or press ENTER for options (see REDIRMODE for option descriptions)
Replace "*" with: Specify a new directory or press ENTER to specify an empty string (see tip below.)

Usage Example 1:
List the current path associations and then change them:

Command: REDIR
Current REDIRMODE: Styles,Xrefs,Images,Rtext
Find and replace directory names
Enter old directory (use '*' for all), or ? <options>: Enter ?
File references to list <*>: Press ENTER

TYPE   NAME            FILE
----------------------------------------------------------------------------------------------------------
STYLE  STANDARD        TXT
STYLE  TTF             ARIAL.TTF
STYLE  XREFA|STANDARD  TXT
STYLE  XREFA|TTF       ARIAL.TTF
SHAPE  I:\WORK\TEST\ES.SHX

XREF   XREFA           I:\WORK\TEST\XREFA.DWG

IMAGE  THATCH          I:\work\TEST\brick2.bmp
IMAGE  XREFA|THATCH    THATCH

RTEXT  I:\work\TEST\57072_b.txt

Enter old directory (use '*' for all), or ? <options>: I:\WORK\TEST\

Replace "I:\WORK\TEST\" with: K:\TEST\

Searching for old dir: I:\WORK\TEST\
in order to replace it with: K:\TEST\

XREF   XREFA           I:\WORK\TEST\XREFA.DWG -> K:\TEST\XREFA.DWG
SHAPE  I:\WORK\TEST\ES.SHX -> K:\TEST\ES.SHX
IMAGE  THATCH          I:\WORK\TEST\BRICK2.BMP -> K:\TEST\BRICK2.BMP
RTEXT  I:\work\TEST\57072_b.txt -> K:\TEST\57072_B.TXT

1 style/shape records modified.
1 image references modified.
1 xrefs modified.
1 rtext objects modified.
Changes to some externally referenced objects may be temporary.

Usage Example 2:
Strip all hard-coded paths

Command: REDIR
Current REDIRMODE: Styles,Xrefs,Images,Rtext
Find and replace directory names
Enter old directory (use '*' for all), or ? <options>: Enter *

Replace "*" with: Press ENTER

Searching for old dir: *
in order to replace it with:

XREF   XREFA           K:\TEST\XREFA.DWG -> XREFA.DWG
SHAPE  K:\TEST\ES.SHX -> ES.SHX

IMAGE  THATCH          K:\TEST\BRICK2.BMP -> BRICK2.BMP

RTEXT  K:\TEST\57072_B.TXT -> 57072_B.TXT

1 style/shape records modified.
1 image references modified.
1 xrefs modified.
1 rtext objects modified.
Changes to some externally referenced objects may be temporary.


PROPULATE [Express Tools: ACET]

Allows quick, automated population of the Drawing Properties dialog data fields. This data is seen when using the DWGPROPS command or when viewing the properties of a .DWG file though the Windows Explorer, outside of AutoCAD. Drawing Property data can be updated, listed or removed from the current drawing or a subdirectory of drawings.

Using a predefined template, PROPULATE can fill in Drawing Properties data in entire directories of drawings. The information that can be applied includes literal strings, attribute values extracted from specified attributed blocks and lists of attached xrefs, images and fonts. Example: You have a whole project directory full of drawings that use the same attributed title block. Using PROPULATE and a customized template you can have the attribute values from each title block in each drawing extracted and added to that drawing's Drawing Properties dialog. PROPULATE can also insert (into the comment field) a list of the xrefs, images and fonts used by each drawing.

Command: PROPULATE
Default template file: g:\acad2000\express\template.prp
Enter an option [Active template/Edit template/List/Remove/Update] <Update>: Enter option

The following prompt is displayed when selecting the List, Remove or Update options

Enter an option [Current drawing/Other drawings] <Current>:

These prompts are displayed when selecting the Other option

Enter search directory and drawing name: Specify a starting location and drawing name or wild-card to search
Search subdirectories? [Yes/No] <Yes>: Enter Yes or No to recursively search subdirectories

For example: g:\project\PG*.dwg will search all drawings whose names start with PG starting in the g:\project directory

Editing the Propulate Template

Propulate uses a template file to determine what values should be inserted into the Drawing Property fields of a drawing. The template file must be edited before use to specify what and where values are applied to the Drawing Properties dialog. You can create as many different templates as you need however there is only one active template at a time. The default template file name is template.prp. The easiest way to edit an existing template or create a new one is to use the 'Edit Propulate Template' dialog.

File menu options

Template menu options

To edit the template file, enter text or one of the special insert options in the appropriate field. For example, entering Downtown Renovation in the Subject field would insert the string Downtown Renovation into the subject field of the Drawing Properties dialog for each drawing processed with this template. In addition to literal strings like this, there are four special commands that can be used to extract drawing specific information and insert that data into the Drawing Properties dialog.

Special Insert Commands

Example: Entering @[XREFLIST] @[FONTLIST] @[IMAGELIST] in the Comments field could produce the following:

Xrefs:
  A  d:\xrefs\1a6
  A  d:\xrefs\2a6
  A  g:\project\work\3a6
 Fonts:
  G:\ACAD2000\support\simplex.shx
  G:\ACAD2000\fonts\txt.shx
  G:\ACAD2000\fonts\ROMANS.shx
 Images:
  G:\Acad2000\acadsig.jpg


REVERT [Express Tools: ACET]

If modifications made since the previous save are detected, REVERT prompts you to save the changes or abort the operation.


PLT2DWG [Express Tools: ACET]

Command: PLT2DWG
Enter the plot file <Drawing>: Specify the file name or ~ for File dialog box


REDIRMODE [Express Tools: ACET]

REDIRMODE Dialog Box Options

Command: -REDIRMODE
Current REDIRMODE: Styles,Xrefs,Images,Rtext
Replace directories in Xrefs,Styles,Images,Rtext. <current>: Specify the object type(s)

Usage Example:
Set REDIRMODE so that the REDIR command acts only on xrefs and styles:

Command: REDIRMODE
Current REDIRMODE: Styles,Xrefs,Images,Rtext
Replace directories in Xrefs,Styles,Images,Rtext. <current>: xref,sty
Current REDIRMODE: Styles,Xrefs


SAVEALL [Express Tools: ACET]

This command will attempt to save all open drawings, leaving the drawings open for continued editing. If a drawing has not been named yet, SAVEALL will prompt for a file name.


CHURLS [Express Tools: ACET]

Command: CHURLS
Select objects: Use an object selection method

Enter the new URL address and choose OK


REPURLS [Express Tools: ACET]

Command: REPURLS
Select objects: Use an object selection method

Enter the old text in the Find What text box and the new text in the Replace With text box, and choose OK.


SHOWURLS [Express Tools: ACET]

Type SHOWURLS or select the menu item to display the Showurls dialog box.
Highlight a single URL to show URL, or one or more URL(s) to edit or replace

SHOWURLS Dialog Box Options


ALIASEDIT [Express Tools: ACET]

You can create aliases for AutoCAD commands or DOS executable commands.

Options

There are two tabbed sections: Command Aliases and Shell Commands. Options common to both sections include

Command line DOS Command: alias


EXPLAN [Express Tools: ACET]

Using EXPLAN you can select objects to zoom in to, after performing a plan view, instead of just zooming extents as you do in the standard version.

Command: EXPLAN
Select objects to zoom to or press <enter> to select everything on screen...
Select objects: Select the objects to zoom to or press ENTER to select everything that is visible
Enter an option [Current ucs/Ucs/World] <Current>: Specify UCS to for plan view


MKLTYPE [Express Tools: ACET]

Command: MKLTYPE
Select a ".LIN" file: <C:\Express\Drawings\acad.lin>: Enter a linetype file name and directory path
Enter linetype name: Specify a linetype name
Linetype description: Specify a linetype description
Starting point for line definition: Specify a starting point
Ending point for line definition: Specify an ending point
Select objects: Select a line, polyline, lwpolyline, point, shape, and/or text object

A linetype is a repeating series of dashes, dots, shapes, and text objects. With the standard AutoCAD PLINE, LINE, POINT, TEXT, and SHAPE commands, draw an approximation of your linetype; then select the objects at the Select Objects prompt in MKLTYPE.

Usage Example:
Create a dashed cold water linetype.

After specifying the file name, linetype name and description, select points to show the start points and end points for line definition:

Specify the line and text objects to be used to define the linetype:

The linetype is loaded and is ready to use:


MKSHAPE [Express Tools: ACET]

Command: MKSHAPE
Select a ".SHP" file: <drawing.shp>: Enter a shape file name where you would like to save your shape
Reading shape file: drawing.shp...Done.
Enter the name of the shape: Specify the shape name
Enter resolution <124>: Enter a number for the resolution value (see Resolution Values below.)
Insertion base point: Specify a point
Select objects: Select line, polyline, lwpolyline, arc, circle, and/or ellipse objects (for definition purposes, the selected objects are treated as though they are of a continuous linetype)

Determining geometry extents...Done.
Building coord lists...Done.
Formatting coords...Done.
Writing new shape...Done.

Compiling shape/font description file
Compilation successful. Output file C:\Express\drawings\drawing.shx contains 152 bytes.

Use the SHAPE command to place shapes in your drawing.

Shapes display relatively simple geometry quickly. The size of a single shape is limited to 2200 bytes of data. If you create a shape that exceeds that limit, MKSHAPE creates complex geometry shapes to form a single shape. In the SHAPE command, if you use the ? option and enter *, those "sub-shapes" are listed on screen.

Neither points nor zero-length line segments are used by MKSHAPE. However, you can get the effect of a point by drawing a very short line segment and using a resolution that is high enough to prevent the segment from being converted to a 0 length. If the short segment does not appear in the shape that results, try again, using a higher resolution value or a longer line segment.

Resolution Values

Large resolution values create shapes that are more accurate representations of the selected geometry. However, large resolution values tend to create shapes that contain more coordinate data and place a higher processing burden on AutoCAD during regens. Conversely, small resolution values create less accurate shapes that are more quickly processed by AutoCAD during regens. You can experiment with different resolution values to find the balance of performance and accuracy that best fits your drafting needs. Note that the resolution value is rounded off to the nearest factor of 8 and cannot exceed 32,767. The following graphic shows how the resolution factor affects the resulting shape's appearance:

Usage Example:
Create a switch shape.

After specifying the file name and shape name, select the insertion point for the shape:

Next, select the objects to be used to define the shape:

The shape can now be placed using the SHAPE command:


RTUCS [Express Tools: ACET]

The UCS is incremented by the angle specified with the Angle option, and is rotated about the highlighted axis.

Command: RTUCS
Press TAB key to change axis or
[Save/Restore/Delete/Cycle/Angle/Origin/View/World/Undo] <Drag to rotate> Specify an option or drag the UCS to rotate it

RTUCS Options

The default active axis is the X axis. The active axis is shown by a broken line extending from the UCS icon origin. To rotate the UCS about the active axis, click and drag the screen pointer perpendicular to the axis. The first pane of the mode status line reports both the active axis and the current rotation, relative to the current orientation.

The UCS icon with the RTUCS axis lines and the status line showing the current axis information:


SYSVDLG [Express Tools: ACET]

SYSVDLG Dialog Box Options

No changes are saved to the drawing until you choose OK. All pending changes can be discarded with the Cancel button. SYSVDLG will validate new system variable values as they are changed.


XDATA [Express Tools: ACET]

Command: XDATA
Select object: Use an object selection method
Application name: Specify application name
[3Real/DIR/DISP/DIST/Hand/Int/LAyer/LOng/Pos/Real/SCale/STr/eXit] <eXit>: Enter an option

Options

Usage Example:
Attach piping data to a line

Select object/<None>: Select a line
Enter Application name: Enter Myapp555-1212
MYAPP555-1212 new application.
3Real/DIR/DISP/DIST/Hand/Int/LAyer/LOng/Pos/Real/SCale/STr/<eXit>: Enter STr
ASCII string: Enter Sewer
3Real/DIR/DISP/DIST/Hand/Int/LAyer/LOng/Pos/Real/SCale/STr/<eXit>: Enter Int
16-bit integer: Enter 4
3Real/DIR/DISP/DIST/Hand/Int/LAyer/LOng/Pos/Real/SCale/STr/<eXit>: <ENTER> Press ENTER
New xdata appended.


XDLIST [Express Tools: ACET]

Select object: Use an object selection method
Application name <*>: Specify an application name or press ENTER for all applications


BCOUNT [Express Tools: ACET]

Command: BCOUNT
Press Enter to select all or...
Select objects: Use an object selection method for single or multiple blocks

Sample output:

Block.....Count
---------------
CHAIR ....10
TABLE ....9
DESK .....4


BLOCK? [Express Tools: ACET]

Command: BLOCK?
Enter block name <Return to select>: Press ENTER to select an object
Select a block: Use an object selection method
Enter an entity type <Return for all>: Press ENTER to list all block definition objects

Usage Example:
Enter a block name or select an inserted block, and then specify an object type (such as line or text) to search for. Or accept the default to list all objects in the definition.

Block name/<Return to select>: Enter furn01
Enter an entity type <Return for all>: Enter line
Press ESC to exit or any key to continue.

((0 . "BLOCK") (2 . "FURN01") (70 . 0) (10 0.0 0.0 0.0) (-2 . <Entity name: 1f30c10>)) ((-1 . <Entity name: 1f30c28>) (0 . "LINE") (5 . "F5") (100 . "AcDbEntity") (67 . 0) (8 . "0") (100 . "AcDbLine") (10 20.0346 22.2133 0.0) (11 4.19456 22.2133 0.0) (210 0.0 0.0 1.0))


BSCALE [Express Tools: ACET]

Allows independent scaling of X, Y and Z. You can specify final values or apply scale factors.

Command: BSCALE
Select objects: Select block insert objects
Specify type of scaling [Absolute (final)/Relative (multiply)] <Absolute>: Specify the value as a scale factor or the final height
Absolute X scale or [XYZ] <3.0000>: Specify the scale of the block insert
Absolute Y scale <use X scale>:

See also: PSBSCALE


CDORDER [Express Tools: ACET]

You specify the color priority where the first color on the list is in front and the last color is in back.

CDORDER Dialog Box Options

Reordering method

Draworder Location

CDRAWORDER orders objects according to their displayed color. Selected objects can have their color assigned by BYLAYER or explicitly by object.

Usage Example:

Original order with red on the bottom and blue on the top:

After using CDORDER to move blue to the bottom and red to the top:


DWGLOG [Express Tools: ACET]

DWGLOG is useful in network situations where people are contending for the same drawing files. If you try to open a drawing that someone else is using, AutoCAD indicates that someone else has the file open, but does not identify the person. If all users on your network have logging turned on, you can look at the DWH file to find out who has the file open.

Command: DWGLOG
If you use DWGLOG when logging is turned off, the following message appears:

Logging for drawing files has been turned on.
If you use DWGLOG when logging is on, the following prompt appears:

You are about to turn off logging for drawing files.
Do you wish to continue? [Yes/No] :y
Logging for drawing files has been turned off.
Type 'dwglog' to turn logging back on.

When logging is on and someone accesses a drawing file, that file's drawing history (DWH) file is updated. If a DWH file does not exist for that drawing, DWGLOG creates one in the directory where the drawing file resides. Actions that are logged include opening a drawing, closing a drawing, and attaching a drawing as an xref. Following is a sample DWH file:

Opened by Penelope on MACHINE1 at 18:14:09 on 7/10/1997
Closed by Penelope on MACHINE1 at 18:18:44 on 7/10/1997
Attached by Bartholomew on MACHINE2 at 07:59:58 on 7/11/1997


EDITTIME [Express Tools: ACET]

The timer can be turned on and off and can be reset. A timeout option suspends timing after a specified period of inactivity.

Command: EDITTIME
EditTime settings: Status=OFF Timeout=10 min.
Active=0.0000 hr.
Enter an option [Reset/Timeout/ON/OFF]: Enter desired option

EDITTIME Options

LISP access

EDITTIME-related data is stored per drawing, in the Named Object Dictionary. The:
(acet-getvar ...)
and
(acet-setvar ...)
functions (available in the acetutil.fas module) provide access to the BNS_EDITTIME_TOTAL "profile variable". If EDITTIME has been enabled on a drawing, you can use:
(acet-getvar '("BNS_EDITTIME_TOTAL"))
to extract the elapsed time (up to the opening of the current editing session) from the current drawing as a Julian time value (a REAL value, containing the number of 24-hour days the drawing has been in "active" use).

The following LISP functions are exported by edittime.arx:


EXPRESSMENU [Express Tools: ACET]

Command: EXPRESSMENU
Perform a full rebuild of the Express Tools menu before loading it? : Enter Yes or No


EXPRESSTOOLS [Express Tools: ACET]

EXPRESSTOOLS places the Express directory on the search path, and loads and places the Express menu on the menu bar. You can use this command to make the AutoCAD Express Tools available in the current profile if they are not yet available. The AutoCAD Express Tools can be installed with AutoCAD, or you can add them later using Add or Remove Programs on the Control Panel.

Once the EXPRESSTOOLS command is used, the AutoCAD Express Tools libraries are loaded when AutoCAD is launched. This increases the load time for AutoCAD but reduces the delay when you use one of the tools for the first time.


EXTRIM [Express Tools: ACET]

Command: EXTRIM
Pick a POLYLINE, LINE, CIRCLE, ARC, ELLIPSE, IMAGE or TEXT for cutting edge...
Select objects: Select an object to define the cutting edge
Pick the side to trim on: Select a point inside or outside the object (objects are trimmed to objects cutting edge)

Usage Example:
Draw several overlapping circles with intersecting lines. Specify an internal point for location of the trim.

Select a circle to define the cutting edge:

Specify a point inside the circle:

Objects trimmed to the edge of the circle:


FLATTEN [Express Tools: ACET]

Flatten creates a 2D representation of selected objects and projects selected objects on to the current viewing plane, forcing object elevations and thickness to 0.

Command: FLATTEN
Select objects: Select objects to convert to 2D
Select objects: Press ENTER
Remove hidden lines? <No>:

You can use FLATTEN to create a 2D drawing from a 3D model or you can use it to force the thickness and elevations of selected objects to 0.

Unlike many traditional methods of 3D to 2D conversion, FLATTEN preserves as much of the drawing's original intelligence as possible. The common practice of plotting to a DXB file and then using DXBIN to re-import, causes the loss of drawing intelligence such as the loss of color and layer information. FLATTEN gets the job done in one step and does not have this problem. Using FLATTEN results in 2D objects that retain their original layers, linetypes, colors and object types where possible.

FLATTEN is similar to a plot of the current view or display. FLATTEN projects selected objects onto the current viewing plane. If your view is not plan when you invoke FLATTEN, the current UCS will be temporarily set to view for the duration of the operation. With respect to UCS=view, the objects that result will be flat.


GATTE [Express Tools: ACET]

Command: GATTE
Select block or attribute [Block name]: Use an object selection method, or enter B for the block name
Known tag names for block: MDLN.
Select attribute or type attribute name: Use an object selection method or enter the attribute tag name
Number of inserts in drawing = 2 Process all of them? [Yes/No] <Yes>: If no, select the block inserts to process

Usage Example:
Insert several of the same attributed blocks into a drawing. Specifying a new value for one of the attributes replaces all values with the same tag name.

Blocks with the same attributes:

Select a single attribute to edit:

Value for all attributes edited globally:


IMAGEAPP [Express Tools: ACET]

Command: IMAGEAPP
Raster editing application or . for system default <.>: Enter the file name

See also: IMAGEEDIT


JULIAN [Express Tools: ACET]

Command: DATE
Sun 1997/3/9 10:36:23.349

AutoLISP functions included in JULIAN.LSP:

Usage Example:
Use the DATE command to display the current date/time in this format: Day YYYY/M/D HH:MM:SS.msec. DATE uses (JTOD) to convert to calendar format, and edits the date/time from there. The day of the week is calculated with (JTOW).


LSP [Express Tools: ACET]

Command: LSP
Enter an option [?/Commands/Functions/Variables/Load]: Specify an option

Options


LSPSURF [Express Tools: ACET]

LSPSURF Dialog Box Options


MPEDIT [Express Tools: ACET]

Command: MPEDIT
Select objects: Use an object selection method
Convert Lines and Arcs to polylines? [Yes/No] <Yes>: If no, selection set ignores lines and arcs.
Enter an option [Open/Close/Join/Width/Fit/Spline/Decurve/Ltype gen/eXit] <eXit>: Enter an option

Usage Example:
Draw a circle with overlapping lines and polylines with varying widths; then edit their widths.

Plines with varying widths:

Plines with the same width:


SSX [Express Tools: ACET]

Either type SSX at the Command prompt to create a "previous" selection set or type (SSX) in response to any Select Objects prompt.

SSX returns a selection set that is either exactly like a selected object or, if you adjust the filter list, very similar to that object.

Command: SSX
Select object/<None>: Use an object selection method to select a template object, or press ENTER for none
>>Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector:

Filter Options

Usage Example:
Select a line to use as a template object, but remove the layer filter.

Command: SSX
Select object/<None>: Select a line
Current Filter: ((0 . "LINE") (8 . "0") (39 . 2.0) (62 . 1) (210 0.0 0.0 1.0))
Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]: layer
>>Layer name to add/<RETURN to remove>: Press ENTER to remove layer filter
Current Filter: ((0 . "LINE") (39 . 2.0) (62 . 1) (210 0.0 0.0 1.0))
Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]: Press ENTER
To select objects that match the filter, enter "previous" at the next Select Objects prompt.


TFRAMES [Express Tools: ACET]

Command: TFRAMES
IMAGE/WIPEOUT frames are toggled OFF.
or
IMAGE/WIPEOUT frames are toggled ON.

Usage Example:
Use TFRAMES to hide frames of a Wipeout and an image.

Frames for image and Wipeout turned on:

Frames turned off:


DUMPSHX [Express Tools: ACET]

DUMPSHX Syntax

Usage Examples:

To create simplex.shp from simplex.shx:

dumpshx -o simplex.shp simplex.shx

To create mytext.shp from txt.shx using decimal character codes:

dumpshx -o simplex.shp simplex.shx


AnswerWorks

Topics that match your request will appear here after you click Search.


LMAN [Express Tools: ACET]

LMAN, -LMAN, LMANMODE, and -LMANMODE are no longer part of the Express Tools. Use the Layer States Manager dialog box in AutoCAD to achieve the functionality of these commands. For more information about the Layer States Manager dialog box, see the AutoCAD Help system. Also see LAYERSTATE command in the Command Reference.

Note: The LMAN command now invokes the LAYERSTATE command.


TREX [Express Tools: ACET]

Command: TREX
Select cutting/boundary edges or press enter for implied…
Select objects: Use an object selection method or press ENTER for an implied selection set
Pick to TRIM/Shift+Pick to EXTEND/Undo: Pick on selected objects